# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1323.1.4 -> 1.1323.1.5
#	arch/x86_64/kernel/setup.c	1.21    -> 1.22   
#	arch/i386/kernel/setup.c	1.97    -> 1.98   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/18	len.brown@intel.com	1.1340
# Merge intel.com:/home/lenb/src/linux-acpi-test-2.6.0
# into intel.com:/home/lenb/bk/linux-acpi-test-2.6.0
# --------------------------------------------
# 03/09/18	torvalds@laptop.osdl.org	1.1338.1.1
# Merge bk://linux-dj.bkbits.net/agpgart
# into laptop.osdl.org:/home/torvalds/v2.5/linux
# --------------------------------------------
# 03/09/18	torvalds@laptop.osdl.org	1.1338.1.2
# Merge bk://linux-dj.bkbits.net/cpufreq
# into laptop.osdl.org:/home/torvalds/v2.5/linux
# --------------------------------------------
# 03/09/18	axboe@suse.de	1.1338.1.3
# [PATCH] io scheduler barrier fix
# 
# From: Nick Piggin <piggin@cyberone.com.au>
# 
# This should be the last piece to ensure correct barrier handling for AS
# and DL?
# --------------------------------------------
# 03/09/18	Andries.Brouwer@cwi.nl	1.1338.1.4
# [PATCH] fix keycode for rctrl in scancode set 3
# 
# By mistake the keycode for right control in scancode set 3
# was the same as that for right alt. This fixes that.
# --------------------------------------------
# 03/09/18	len.brown@intel.com	1.1323.1.5
# [ACPI] acpi_disabled is used after __initdata is freed.
# fixes random battery module loading problem -- SuSE bug #30477 (Andi Kleen)
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/setup.c b/arch/i386/kernel/setup.c
--- a/arch/i386/kernel/setup.c	Tue Sep 23 12:33:24 2003
+++ b/arch/i386/kernel/setup.c	Tue Sep 23 12:33:24 2003
@@ -65,9 +65,9 @@
 EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
 #ifdef	CONFIG_ACPI_INTERPRETER
-	int acpi_disabled __initdata = 0;
+	int acpi_disabled = 0;
 #else
-	int acpi_disabled __initdata = 1;
+	int acpi_disabled = 1;
 #endif
 EXPORT_SYMBOL(acpi_disabled);
 
diff -Nru a/arch/x86_64/kernel/setup.c b/arch/x86_64/kernel/setup.c
--- a/arch/x86_64/kernel/setup.c	Tue Sep 23 12:33:24 2003
+++ b/arch/x86_64/kernel/setup.c	Tue Sep 23 12:33:24 2003
@@ -64,7 +64,7 @@
 unsigned long mmu_cr4_features;
 EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
-int acpi_disabled __initdata = 0;
+int acpi_disabled = 0;
 
 /* For PCI or other memory-mapped resources */
 unsigned long pci_mem_start = 0x10000000;
